Name:		xfce4-battery-plugin
Version:	0.5.0
Release:	4%{?dist}
Summary:	Battery monitor for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.0-acpi.patch
Patch1:		%{name}-0.5.0-fix-ftbfs-2.6.24.patch
Patch2:		%{name}-0.5.0-lower-acpi-polling.patch
#Patch3:		%{name}-0.5.0-use-sysfs.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.90.2, libxfcegui4-devel >= 4.3.90.2, libxml2-devel
BuildRequires:	gettext, perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.0

%description
A battery monitor plugin for the Xfce panel, compatible with APM and ACPI.

%prep
%setup -q
%patch0 -p1 -b .acpi
%patch1 -p1 -b .2.6.24
%patch2 -p0 -b .lower-acpi-polling
#%patch3 -p0 -b .use-sysfs

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/devices/battery.png
%{_datadir}/icons/hicolor/scalable/devices/battery.svg

%changelog
* Sat Apr 05 2008 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-4
- Fix for kernel 2.6.24  (bugzilla.xfce.org #3938)
- Lower acpi polling. (bugzilla.xfce.org #2948)
- Rebuild with gcc 4.3.0

* Tue Aug 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-3
- Fix for x86_64 kernels >= 2.6.21. (bugzilla.xfce.org #3190)
- Update license tag

* Mon Apr 23 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-2
- Rebuild for Xfce 4.4.1

* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.5.0-1
- Update to 0.5.0 on Xfce 4.4.

* Sat Nov 11 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.90.3-1
- Update to 0.4.90.3 on XFCE 4.3.99.2.

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.90.2-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.90.2-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.90.2-1
- Update to 0.4.90.2 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-6
- Require xfce4-panel.
- Change license back to LGPL (#173105).

* Wed Feb 15 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-5
- Rebuild for Fedora Extras 5.

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Sat Nov 19 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-3
- Use {?_smp_mflags}.
- Replace wrong BSD license with a copy of the GPL (#173105).

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-2
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc4.cw
- Update to 0.3.0.
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.2.0-1.fc3.cw
- Initial RPM release.
